<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <title>Amahi Home Server &rsaquo; AmahiTunes</title>
  <link href="http://hda/stylesheets/base.css?1259269631" media="screen" rel="stylesheet" type="text/css" />
  <link href="http://hda/themes/main/style.css?1259269631" media="screen" rel="Stylesheet" type="text/css" />
  <script src="http://hda/javascripts/prototype.js?1236680147" type="text/javascript"></script>
<script src="http://hda/javascripts/effects.js?1236680147" type="text/javascript"></script>
<script src="http://hda/javascripts/dragdrop.js?1236680147" type="text/javascript"></script>
<script src="http://hda/javascripts/controls.js?1256456195" type="text/javascript"></script>
<script src="http://hda/javascripts/application.js?1256410832" type="text/javascript"></script>
  <link rel="stylesheet" type="text/css" href="http://hda/stylesheets/slimbox.css" media="screen" />
  <link rel="search" type="application/opensearchdescription+xml" title="HDA Search" href="http://hda/search.xml" />
  <link rel="shortcut icon" href="http://hda/favicon.ico" type="image/x-icon" />
</head>
<body>

  <div id="header">
    <div id="head-left">
      <ul>
        <li class="first"><a href="http://hda/">Home</a></li>
        <li class="last">
          <form action="http://hda/search/hda" id="searchform">
          <input id="searchinput" name="query" type="text" accesskey="f" value="" />
          <input type='submit' class="searchbutton" name="button" value="HDA" />
          <input type='submit' class="searchbutton" name="button" value="Web" />
          </form>
        </li>
      </ul>
    </div>
    <div id="head-right">
      <ul>
	
		<li class="first"><a href="http://hda/setup">Setup</a></li>
		<li><a href="http://help.amahi.org">Help</a></li>
		<li class="last"><a href="http://hda/setup?tab=app">Apps</a></li>
	
      </ul>
    </div>
  </div>

  <div id="content">
    <div id="logo_new">
        <div id="pagetitle"><a href="http://amahitunes/"><img border="0" src="icon.png" title="AmahiTunes" alt="AmahiTunes" /></a> AmahiTunes</div>
    </div>

    <div id="app_new">

<?php
function quoted_form($path) {
	return "'" . str_replace(array("\\", "'"), array("\\\\", "'\\''"), $path) . "'";
}

$music_dir = '/' . trim(exec("grep mp3_dir /etc/mt-daapd.conf | awk '{print \$2}'"), '/') . '/';
$extensions = explode(',', exec("grep extensions /etc/mt-daapd.conf | awk '{print \$2}'"));

$find_command  = "find " . quoted_form($music_dir) . " -type f -a ! -name '._*' \\( -name 'dshsjf'";
foreach ($extensions as $ext) {
	$find_command .= " -o -iname '*$ext'";
}
$find_command .= ' \\)';

if (isset($_POST['name'])) {
	// Search for songs
	$find_command .= " -a -iwholename " . quoted_form('*'.$_POST['name'].'*');
}
echo "<!-- $find_command -->";
exec($find_command, $songs);
?>
<div style="margin: 0 10% 5% 10%">
	<form action="" method="post">
		<p>
			Look up your songs: 
			<input type="text" size="20" name="name" id="name_field" tabindex="1" />
			<script type="text/javascript">
				window.onload = function() { document.getElementById('name_field').focus(); }
			</script>
			<input type="submit" name="search" value="Search" /><br/>
		</p>
	</form>

	<div id="songs">
		<div style="margin: 25px 15% 25px 15%; font-size: 44pt; font-weight: bold">
			<?php echo count($songs) ?> Songs
		</div>

		<?php if (count($songs) > 1000): ?>
			Too many songs match to list here ...
		<?php else: ?>
			<?php $i = 0; foreach ($songs as $s): ?>
				<?php $name =  str_replace($music_dir, '', htmlentities($s)) ?>
				<div class="<?php echo (count($songs) > 2 ? ($i++ % 2 == 0 ? 'odd' : 'even') : '') ?>">
				<?php
				$daap_url = 'daap://hda:3689/databases/1/items/' . fileinode($s) . '.' . substr($s, strrpos($s, '.')+1);
				$download_url = str_replace('daap://', 'http://', $daap_url);
				?>
				<a href="<?php echo $daap_url ?>" title="Stream <?php echo $name ?>"><img border="0" src="img/stream.png" alt="Stream" title="Stream <?php echo $name ?>"/></a>
				&nbsp;
				<?php echo str_replace($music_dir, '', (isset($_POST['name']) ?  preg_replace('/('.str_replace('*', '.*', $_POST['name']).')/i', '<span style="color:#dd2222; font-weight: bold">\1</span>', $name) : $name)) ?>
				&nbsp; <a href="<?php echo $download_url ?>" title="Download <?php echo $name ?>"><img border="0" src="img/download.png" alt="Download" title="Download <?php echo $name ?>"/></a>
				</div>
			<?php endforeach; ?>
		<?php endif; ?>
	</div>
	<br/>
	<p>
	<?php if (strpos($_SERVER['HTTP_USER_AGENT'], 'Windows') !== FALSE): ?>
		Your music share: <a href="file://hda/music"><strong>\\hda\music</strong></a>
	<?php elseif (strpos($_SERVER['HTTP_USER_AGENT'], 'Macintosh') !== FALSE) : ?>
		Your music share: <a href="smb://hda/music"><strong>smb://hda/music</strong></a>
	<?php endif; ?>
	</p>
	<p align="right">
	<small>Server location: <?php echo htmlentities($music_dir) ?></small><br/>
	<small>Credit: <a href="http://www.fireflymediaserver.org/">Firefly Media Server</a></small>
	</p>

</div>

    </div>
    &nbsp;
  </div>

  <div id="footer">
  &copy; 2010 &nbsp; <a href="http://www.amahi.org">Amahi</a>
  | <a href="http://www.amahi.org/user">Your Control Panel</a>
  | <a href="http://www.amahi.org/feedback">Feedback</a>
  | <a href="http://wiki.amahi.org/">Wiki</a>
  | <a href="http://bugs.amahi.org">Tracker</a>
  | <a href="http://talk.amahi.org">Live Help</a>
  | <a href="http://forums.amahi.org/">Forums</a>
  | 
	  <a href="http://hda/logout">Logout</a>
  </div>
</body>
</html>
